# Uses of Enum
org.eclipse.microprofile.openapi.models.media.Encoding.Style

Packages that use Encoding.Style
Package
Description
org.eclipse.microprofile.openapi.models.media
A set of interfaces for programmable models to represent input and output data types and media types.

## Uses of Encoding.Style in org.eclipse.microprofile.openapi.models.media

Methods in org.eclipse.microprofile.openapi.models.media that return Encoding.Style
Modifier and Type
Method
Description
`Encoding.Style`
Encoding.`getStyle()`
Style describes how the encoding value will be serialized depending on the type of the parameter value.
`static Encoding.Style`
Encoding.Style.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Encoding.Style[]`
Encoding.Style.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.openapi.models.media with parameters of type Encoding.Style
Modifier and Type
Method
Description
`void`
Encoding.`setStyle(Encoding.Style style)`
Style describes how the encoding value will be serialized depending on the type of the parameter value.
`default Encoding`
Encoding.`style(Encoding.Style style)`
Style describes how the encoding value will be serialized depending on the type of the parameter value.